/*****************************************************/
/*          This java file is a part of the          */
/*                                                   */
/*           -  Plouf's Java IRC Client  -           */
/*                                                   */
/*   Copyright (C)  2002 - 2003 Philippe Detournay   */
/*                                                   */
/*         All contacts : theplouf@yahoo.com         */
/*                                                   */
/*  PJIRC is free software; you can redistribute     */
/*  it and/or modify it under the terms of the GNU   */
/*  General Public License as published by the       */
/*  Free Software Foundation; version 2 or later of  */
/*  the License.                                     */
/*                                                   */
/*  PJIRC is distributed in the hope that it will    */
/*  be useful, but WITHOUT ANY WARRANTY; without     */
/*  even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU   */
/*  General Public License for more details.         */
/*                                                   */
/*  You should have received a copy of the GNU       */
/*  General Public License along with PJIRC; if      */
/*  not, write to the Free Software Foundation,      */
/*  Inc., 59 Temple Place, Suite 330, Boston,        */
/*  MA  02111-1307  USA                              */
/*                                                   */
/*****************************************************/

package irc.gui;

import java.awt.*;
import java.awt.event.*;
import irc.*;
import irc.gui.pixx.*;

/**
 * The AWTStatus.
 */
public class AWTStatus extends AWTSource implements StatusListener
{

  /**
   * Create a new AWTStatus.
   * @param config global irc configuration.
   * @param s source status.
   */
  public AWTStatus(IRCConfiguration config,Status s)
  {
    super(config,s);
    s.addStatusListener(this);
    title();
    _source.activate();
  }

  public void release()
  {
    ((Status)_source).removeStatusListener(this);
    super.release();
  }

  private void title()
  {
    setTitle(_source.getName()+": "+ ((Status)_source).getNick()+" ["+((Status)_source).getMode()+"]");
  }

  public String getShortTitle()
  {
    return ((Status)_source).getName();
  }

  public void noticeReceived(String from,String msg)
  {
    print("-"+from+"- "+msg,5);
  }

  public void nickChanged(String nick)
  {
    print("*** "+getText(TextProvider.SOURCE_YOUR_NICK,nick),3);
    title();
  }

  public void modeChanged(String mode)
  {
    if(mode.length()>0) print("*** "+getText(TextProvider.SOURCE_YOUR_MODE,mode),3);
    title();
  }

}

